#include <bits/stdc++.h>
using namespace std;

void to_end(int a[], int o, int n) {
    int x = a[o];
    for (int i = o; i < n - 1; i++) {
        a[i] = a[i + 1];
    }
    a[n - 1] = x;
}

int main() {
    int t;
    cin >> t;

    for (int q = 0; q < t; q++) {
        int n;
        cin >> n;

        int a[n];
        for (int i = 0; i < n; i++) {
            cin >> a[i];
        }

        sort(a, a + n);
        reverse(a, a + n);

        int c = 0;
        while (c < 2 * n) { 
            bool end = true;
            for (int i = 1; i < n - 1; i++) {
                if (a[i - 1] + a[i + 1] < 2 * a[i]) {
                    to_end(a, i - 1, n);
                    c++;
                    end = false;
                    break;
                }
            }

            if (end) {
                break;
            }
        }

        bool ans = true;
        for (int i = 1; i < n - 1; i++) {
            if (a[i - 1] + a[i + 1] < 2 * a[i]) {
                ans = false;
                break;
            }
        }

        if (ans) {
            cout << "YES\n";
        }
        else {
            cout << "NO\n";
        }
    }
}